package com.inspect.system.base.model;

import com.inspect.system.base.domain.SysUser;
import java.io.Serializable;
import java.util.Date;
import java.util.Set;

public class LoginUser implements Serializable {
   private static final long serialVersionUID = 1L;
   private String token;
   private Long userid;
   private String username;
   private Long loginTime;
   private Long expireTime;
   private String ipaddr;
   private Set<String> permissions;
   private Set<String> roles;
   private SysUser sysUser;
   private Date passUpdateTime;

   public Date getPassUpdateTime() {
      return this.passUpdateTime;
   }

   public void setPassUpdateTime(Date passUpdateTime) {
      this.passUpdateTime = passUpdateTime;
   }

   public String getToken() {
      return this.token;
   }

   public void setToken(String token) {
      this.token = token;
   }

   public Long getUserid() {
      return this.userid;
   }

   public void setUserid(Long userid) {
      this.userid = userid;
   }

   public String getUsername() {
      return this.username;
   }

   public void setUsername(String username) {
      this.username = username;
   }

   public Long getLoginTime() {
      return this.loginTime;
   }

   public void setLoginTime(Long loginTime) {
      this.loginTime = loginTime;
   }

   public Long getExpireTime() {
      return this.expireTime;
   }

   public void setExpireTime(Long expireTime) {
      this.expireTime = expireTime;
   }

   public String getIpaddr() {
      return this.ipaddr;
   }

   public void setIpaddr(String ipaddr) {
      this.ipaddr = ipaddr;
   }

   public Set<String> getPermissions() {
      return this.permissions;
   }

   public void setPermissions(Set<String> permissions) {
      this.permissions = permissions;
   }

   public Set<String> getRoles() {
      return this.roles;
   }

   public void setRoles(Set<String> roles) {
      this.roles = roles;
   }

   public SysUser getSysUser() {
      return this.sysUser;
   }

   public void setSysUser(SysUser sysUser) {
      this.sysUser = sysUser;
   }
}
